config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

config etc/GeoIP.conf.new

( cd usr/lib ; rm -rf libGeoIPUpdate.so.0 )
( cd usr/lib ; ln -sf libGeoIPUpdate.so.0.0.0 libGeoIPUpdate.so.0 )
( cd usr/lib ; rm -rf libGeoIPUpdate.so )
( cd usr/lib ; ln -sf libGeoIPUpdate.so.0.0.0 libGeoIPUpdate.so )
( cd usr/lib ; rm -rf libGeoIP.so.1 )
( cd usr/lib ; ln -sf libGeoIP.so.1.4.8 libGeoIP.so.1 )
( cd usr/lib ; rm -rf libGeoIP.so )
( cd usr/lib ; ln -sf libGeoIP.so.1.4.8 libGeoIP.so )
